Get Hosted Commercial VRP request
curl --request GET \
--url https://api.yapily.com/hosted/vrp-requests/commercial/{requestId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/hosted/vrp-requests/commercial/{requestId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/hosted/vrp-requests/commercial/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"requestType": "vrp",
"requestId": "00000000-0000-0000-0000-000000000000",
"applicationId": "00000000-0000-0000-0000-000000000000",
"userId": "00000000-0000-0000-0000-000000000000",
"applicationUserId": "any",
"tppRedirectUrl": "https://parameter-viewer.yapily.com/",
"createdAt": "2026-01-01T00:00:00Z",
"institutionIdentifiers": {
"institutionId": "mock-sandbox",
"institutionCountryCode": "GB"
},
"status": {
"currentStatus": "...",
"statusUpdatedAt": "2026-01-01T00:00:00Z",
"tppNotified": false,
"qrScanned": false,
"errorCode": null
},
"result": {
"consentId": "00000000-0000-0000-0000-000000000000",
"consentToken": "..."
}
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "BAD_REQUEST",
"code": 10600,
"message": "The server could not understand the request due to invalid syntax"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 403,
"status": "FORBIDDEN",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INVALID_REQUEST",
"code": "Yapily.gateway.api.scope.required",
"message": "You don't have the right scope to access this resource"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 404,
"status": "NOT FOUND",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INVALID_REQUEST",
"code": 10800,
"message": "Resource not found"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 500,
"status": "INTERNAL SERVER ERROR",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INTERNAL_SERVER_ERROR",
"code": 11000,
"message": "Unexpected server error"
}
]
}
}Hosted VRP Pages
Get Hosted Commercial VRP request
Used to get details of a Commercial VRP request
Get Hosted Commercial VRP request
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Path Parameters
Unique Identifier of the Commercial VRP request
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I